import request from '@/utils/request'

/**
* 用户列表
* @param {*} data
* @returns
*/
export const getUserList = (params) => request({
  url: '/admin/user', params
})

/**
 * 登录
 * @param {*} data
 * @returns
 */
export function login(data) {
  return request({
    url: '/admin/login',
    method: 'post',
    data
  })
}

/**
 * 修改密码
 * @param {*} data
 * @returns
 */
export const changePassword = (data) => request({
  url: '/admin/change-password', method: 'put', data
})
